<!--
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-01-02 10:42:15
 * @LastEditors  : 无尘
 * @LastEditTime : 2020-01-03 10:36:47
 -->
<template>
  <div class="share-index common-wrap">
    <div class="right-content border-box">
      <div class="bg-index"></div>
    </div>
    <vue-gic-footer></vue-gic-footer>
  </div>
</template>
<script>
import errMsg from '@/common/js/error';
import { getRequest } from '@/api/api';
export default {
  name: 'share-index-leaflets',
  components: {},
  data() {
    return {
      canCreate: true
    };
  },
  methods: {
    /**
     *   是否可以创建活动
     */
    judgeCreate() {
      const that = this;
      let para = {};
      getRequest('/sharing-core-web/can-create', para)
        .then(res => {
          let resData = res.data;
          if (resData.errorCode == 1) {
            that.canCreate = resData.result;
            return false;
          }
          errMsg.errorMsg(resData);
        })
        .catch(function(error) {
          that.$message.error({
            duration: 1000,
            message: error.message
          });
        });
    }
  },
  mounted() {
    const that = this;
    that.judgeCreate();
  }
};
</script>
<style lang="less" scoped>
.share-index {
  .bg-index {
    height: 9620px;
    background: url('../../assets/images/bg-index.jpg') no-repeat center center;
    background-size: contain;
  }
}
</style>
